//
//  HomeTableViewController.swift
//  PDFlib-Demo
//
//  Created by Rainer Schaaf on 25.10.19.
//  Copyright © 2019 PDFlib GmbH. All rights reserved.
//

import UIKit
import WebKit

let examplesArray = [
    "businesscard",
    "hello",
    "image",
    "starter_pdfimpose"
]

class HomeTableViewController: UITableViewController,cellDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.tableView.tableFooterView = UIView()
        self.title = "PDFlib Demo"
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return examplesArray.count
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath) as! TableViewCell
        cell.nameLabel.text = examplesArray[indexPath.row]
        cell.delegate = self
        return cell
    }
 
    //Mark: - custom cell delegate methods
    func didClickViewButton(cell: UITableViewCell) {
        let indexPath = self.tableView.indexPath(for: cell)
        
        let vc = self.storyboard?.instantiateViewController(withIdentifier: "PdfViewController") as! PdfViewController
        vc.exampleClass = examplesArray[indexPath!.row]
            
        self.navigationController?.pushViewController(vc, animated: true)
    }
}
