//
//  hello.m
//  PDFlib
//

#import "hello.h"
#import "PDFlib_ios/PDFlib_objc.h"
#import <UIKit/UIKit.h>

@implementation hello

+ (NSData *) createPdf:(NSError**)error {
    NSData *pdfdata=nil;
    // This is where the data files are. Adjust as necessary. 
    NSString *searchpath = [[NSBundle mainBundle] resourcePath];
        
    @try {
        
        // create a new PDFlib object
        PDFlib *pdflib = [[PDFlib alloc] init];
       
        [pdflib set_option:@"errorpolicy=exception"];

        // Set the search path for fonts and PDF files
        [pdflib set_option:[NSString stringWithFormat:@"SearchPath={{%@}}", searchpath]];

        [pdflib begin_document:@"" optlist:@""];
        
        [pdflib set_info:@"Creator" value:@"hello_ios"];
        [pdflib set_info:@"Author" value:@"Thomas Merz"];
        [pdflib set_info:@"Title" value:@"Hello World (Objective-C)"];
        
        [pdflib begin_page_ext:0 height:0 optlist:@"width=a4.width height=a4.height"];
        
        NSString *fontopt = @"fontname=NotoSerif-Regular encoding=unicode fontsize=24";

        [pdflib fit_textline:@"Hello world!" x:50 y:700 optlist:fontopt];
        [pdflib fit_textline:@"(says Objective-C)" x:50 y:676 optlist:fontopt];

        [pdflib end_page_ext:@""];
        [pdflib end_document:@""];
        
        pdfdata = [pdflib get_buffer];
    } 
    @catch (PDFlibException *ex) {
        *error = [[NSError alloc] initWithDomain:[NSString stringWithFormat:@"PDFlib error %ld in '%@': %@", (long)[ex get_errnum], [ex get_apiname], [ex get_errmsg]] code:[ex get_errnum] userInfo:nil];
    }
    return pdfdata;
}

@end
