//
//  image.m
//  PDFlib
//

#import "image.h"
#import "PDFlib_ios/PDFlib_objc.h"
#import <UIKit/UIKit.h>

@implementation image

+ (NSData *) createPdf:(NSError**)error {
    NSInteger image;
    NSData *pdfdata = nil;
    NSString *imagefile = [[NSBundle mainBundle] pathForResource:@"nesrin" ofType:@"jpg"];

    @try {
        PDFlib *pdflib = [[PDFlib alloc] init];
        
        [pdflib set_option:@"errorpolicy=exception"];
        
        [pdflib begin_document:@"" optlist:@""];        
        [pdflib set_info:@"Creator" value:@"image_ios"];
        [pdflib set_info:@"Author" value:@"Thomas Merz"];
        [pdflib set_info:@"Title" value:@"image sample (Objective-C)"];
        
        image = [pdflib load_image:@"auto" filename:imagefile  optlist:@""];
                
        /* dummy page size, will be adjusted by PDF_fit_image() */        
        [pdflib begin_page_ext:10 height:10 optlist:@""];
        [pdflib fit_image: image x:0 y:0 optlist: @"adjustpage"];      
        [pdflib close_image:image];
        [pdflib end_page_ext:@""];
        [pdflib end_document:@""];
        
        pdfdata = [pdflib get_buffer];
    }        
    @catch (PDFlibException *ex) { 
        *error = [[NSError alloc] initWithDomain:[NSString stringWithFormat:@"PDFlib error %ld in '%@': %@", (long)[ex get_errnum], [ex get_apiname], [ex get_errmsg]] code:[ex get_errnum] userInfo:nil];
    }
    return pdfdata;
}

@end
