//
//  PdfViewController.swift
//  PDFlib-Demo
//
//  Created by Rainer Schaaf on 25.10.19.
//  Copyright © 2019 PDFlib GmbH. All rights reserved.
//

import UIKit
import PDFKit

class PdfViewController: UIViewController {

    @IBOutlet weak var pdfView: PDFView!
    var exampleClass:String! = ""
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        do {
            let example: AnyClass? = NSClassFromString(exampleClass)
            if let content = try example?.createPdf() {
                let pdfDocument = PDFDocument(data: content)
                pdfView.document = pdfDocument
            }
        } catch let error as NSError {
            let alert = UIAlertController(title: "PDFlib exception", message:error.localizedDescription, preferredStyle: .alert)
            alert.addAction(UIAlertAction(title: "OK", style: .default) { _ in })
            self.present(alert, animated: true){}
        }
    }
}
